Skip to main content

List all milestones

Returns a list of your milestones. The milestones are returned sorted by creation date, with the most recently created milestones appearing first.

Parameters​

state
enum
The state of milestones to return. The default is active. One of all, active, archived.
title
string
The title to search for.

Returns​

Return a paginated response that contains an array of up to the specified limit of milestones.

get
/api/milestones
curl https://{workspace}.kitchen.co/api/milestones \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": [
{
"archived_at": null,
"closed_at": null,
"created_at": "2024-08-20T09:34:32+00:00",
"description": "Aperiam earum saepe consequuntur aut.",
"due_date": "2024-08-27T00:00:00+00:00",
"id": "mst_9fbd4636814ff5d5ae7a23f0",
"start_date": "2024-08-20T00:00:00+00:00",
"title": "Adipisci doloribus eos possimus reprehenderit.",
"updated_at": "2024-08-20T09:34:32+00:00",
"visibility": "internal"
}
],
"links": {
"first": "/api/milestones?page=1",
"last": "/api/milestones?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/api/milestones?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/api/milestones",
"per_page": 20,
"to": 1,
"total": 1
}
}